Polyrankdocs
Traders

GET /v1/trader/{proxy}/return-distribution

Resolved-position return distribution over EVERY resolved position (P1-25). Buckets come from the shared RETURN_BUCKETS vocabulary; positions with a non-positive cost basis are reported separately rather than bucketed.

GET
/v1/trader/{proxy}/return-distribution

Resolved-position return distribution over EVERY resolved position (P1-25). Buckets come from the shared RETURN_BUCKETS vocabulary; positions with a non-positive cost basis are reported separately rather than bucketed.

AuthorizationBearer <token>

API key: Authorization: Bearer pk_live_… (mint at polyrank.app/api-keys)

In: header

Path Parameters

proxy*string

Query Parameters

scope?string

Response Body

application/json

curl -X GET "https://example.com/v1/trader/string/return-distribution"
{  "proxy_wallet": "string",  "scope": "combined",  "available": true,  "n_positions": -9007199254740991,  "unscorable": -9007199254740991,  "buckets": [    {      "id": "string",      "name": "string",      "count": -9007199254740991,      "win": true    }  ]}